# Package org.gradle.api.resources

## Package org.gradle.api.resources Description

Interfaces and API for the 'Resources' concept.

- Interface Summary
  Interface | Description
  --- | ---
  ReadableResource | A resource that can be read.
  Resource | A generic resource of some kind.
  ResourceHandler | Provides access to resource-specific utility methods, for example factory methods that create various resources.
  TextResource | A read-only body of text backed by a string, file, archive entry, or other source.
  TextResourceFactory | Creates `TextResource`s backed by sources such as strings, files, and archive entries.

- Exception Summary
  Exception | Description
  --- | ---
  MissingResourceException | Exception thrown when the resource does not exist
  ResourceException | Generic resource exception that all other resource-related exceptions inherit from.